aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-opie/opie-autorotateapplet/opie-autorotateapplet.inc
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-opie/opie-autorotateapplet/opie-autorotateapplet.inc')
-rw-r--r--recipes-opie/opie-autorotateapplet/opie-autorotateapplet.inc32
1 files changed, 32 insertions, 0 deletions
diff --git a/recipes-opie/opie-autorotateapplet/opie-autorotateapplet.inc b/recipes-opie/opie-autorotateapplet/opie-autorotateapplet.inc
new file mode 100644
index 0000000..7e78436
--- /dev/null
+++ b/recipes-opie/opie-autorotateapplet/opie-autorotateapplet.inc
@@ -0,0 +1,32 @@
+DESCRIPTION = "Applet to disable the automatic screen rotation on Zaurus C-models"
+SECTION = "opie/applets"
+PRIORITY = "optional"
+LICENSE = "GPL"
+APPNAME = "autorotateapplet"
+
+
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ ${bindir}/qcop QPE/TaskBar "reloadApplets()"
+else
+ exit 0
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+${bindir}/qcop QPE/TaskBar "reloadApplets()"
+}
+
+# FILES plugins/applets/libautorotateapplet.so* pics/autorotate/*.png
+do_install() {
+ install -d ${D}${palmtopdir}/pics/autorotate/
+ install -m 0655 ${WORKDIR}/pics/autorotate/*.png ${D}${palmtopdir}/pics/autorotate/
+}